ur_rna.GUITester

## Class RuntimeTools.UnsupportedActionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ur_rna.Utilities.ExtensibleException
      - - ur_rna.GUITester.ScriptRuntimeException
        - - ur_rna.GUITester.RuntimeTools.ActionException
          - - ur_rna.GUITester.RuntimeTools.UnsupportedActionException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    RuntimeTools

      public static class RuntimeTools.UnsupportedActionException
      extends RuntimeTools.ActionException

  Thrown if the action is unknown or not implemented.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ur_rna.Utilities.ExtensibleException

      `data, readOnlyData, updatedMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedActionException()`
    `UnsupportedActionException(java.lang.String action)`
    `UnsupportedActionException(java.lang.String fullMessage, java.lang.Throwable cause)`
    `UnsupportedActionException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class ur_rna.GUITester.ScriptRuntimeException

      `getNode, setNode, setNode`

    - ### Methods inherited from class ur_rna.Utilities.ExtensibleException

      `getData, getData, getData, getMessage, getOriginalMessage, putData, putData, resetMessage, setMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedActionException

          public UnsupportedActionException()

    - #### UnsupportedActionException

          public UnsupportedActionException(java.lang.String action)

    - #### UnsupportedActionException

          public UnsupportedActionException(java.lang.String fullMessage,
                                            java.lang.Throwable cause)

    - #### UnsupportedActionException

          public UnsupportedActionException(java.lang.Throwable cause)